=== debian/changelog ===
libcec (4.0.4+dfsg1-2) unstable; urgency=medium

  [ Balint Reczey ]
  * Build-depend on pkg-kde-tools
  * Update symbols file (Closes: #923904)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 08 Mar 2019 13:21:44 +0100

libcec (4.0.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 4.0.4+dfsg1
  * Add Salsa CI configuration

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 11 Feb 2019 15:57:39 +0700

libcec (4.0.3+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Fix wrong Vcs-*

  [ Balint Reczey ]
  * New upstream version 4.0.3+dfsg1
  * Update symbols after enabling Exynos and AOCEC API support
  * Update installing Python 2 package content
  * Update symbols. There are symbol removals, but upstream does not list
    them as being part of the public API.

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 16 Nov 2018 03:36:22 +0100

libcec (4.0.2+dfsg1-3) experimental; urgency=medium

  * Enable Exynos and AOCEC API support (Closes: #885177)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 26 Dec 2017 02:55:36 +0100
