=== debian/changelog ===
libcec (4.0.4+dfsg1-4ubuntu3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2020 19:03:38 +0100

libcec (4.0.4+dfsg1-4ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:48:01 +0000

libcec (4.0.4+dfsg1-4ubuntu1) focal; urgency=medium

  * Update symbols for for s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Jan 2020 04:28:55 +0100

libcec (4.0.4+dfsg1-4build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:52:16 +0000

libcec (4.0.4+dfsg1-4) unstable; urgency=medium

  * Upload to unstable

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 25 Sep 2019 14:22:51 +0200

libcec (4.0.4+dfsg1-4~exp1) experimental; urgency=medium

  * Switch to Python 3.
    Ship Python 3 modules in python3-cec replacing Python 2 python-libcec
    (Closes: #936846)
  * Update symbols file(s)
  * Fix generated Python 3 dependencies

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 16 Sep 2019 17:37:57 +0200

libcec (4.0.4+dfsg1-3) unstable; urgency=medium

  * debian/libcec4.symbols: Refresh symbols to build with GCC 9.
    Thanks to Boyuan Yang for the proposed NMU (Closes: #925738)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 11 Sep 2019 00:16:56 +0200
