=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                pkg-kde-tools,
                libudev-dev [linux-any],
                libp8-platform-dev,
-               python-dev,
+               python3-dev,
                dh-python,
                cmake (>= 2.8.9),
                swig,
@@ -58,16 +58,16 @@
  .
  This package provides the CEC utility programs.
 
-Package: python-libcec
+Package: python3-cec
 Architecture: any
 Section: python
 Depends: libcec4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Description: Python bindings for USB CEC Adaptor
+Description: Python 3 bindings for USB CEC Adaptor
  This library provides support for the Pulse-Eight USB-CEC adapter and
  other CEC capable hardware, like the Raspberry Pi.
  .
- This package provides Python bindings for libcec.
+ This package provides Python 3 bindings for libcec.
