=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh  $@ --with python2
+	dh  $@ --with python3
 
 override_dh_auto_configure:
 	ln -s /usr/include/cec-platform include/platform && \
