## libcec 4.0.7+dfsg1

=== debian/changelog ===
libcec (4.0.7+dfsg1-1+rpt2) buster; urgency=medium

  * cec-framework-multiple.patch
    - https://github.com/raspberrypi/Raspberry-Pi-OS-64bit/issues/143#issuecomment-862562147

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 18 Jun 2021 11:28:34 +0100

libcec (4.0.7+dfsg1-1+rpt1) buster; urgency=medium

  * Update to 4.0.7
  * Add -DHAVE_LINUX_API=1 -DHAVE_RPI_API=1

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 15 Jun 2021 17:19:42 +0100

libcec (4.0.4+dfsg1-2+rpi1+rpt1) buster; urgency=medium

  * Add -DRPI_INCLUDE_DIR=/opt/vc/include -DRPI_LIB_DIR=/opt/vc/lib
  * Add libraspberrypi{0,-dev} dependencies

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 21 May 2019 17:07:48 +0100

libcec (4.0.4+dfsg1-2+rpi1) buster-staging; urgency=medium

  [changes brought forward from 3.1.0+dfsg1-4+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 10 Mar 2016 00:53:26 +0000]
  * Add symbols file hack for raspbian.
  * Fix clean target.

  [changes introduced in 4.0.3+dfsg1-1+rpi1 by Peter Michael Green]
  * Add build-conflicts on libpython3 dev packages, if they are installed
    this package will pick them in preference to 2.7 resulting in
    missing files.

 -- Raspbian forward porter <root@raspbian.org>  Mon, 18 Mar 2019 13:16:14 +0000
