=== debian/control ===
--- 
+++ 
@@ -9,13 +9,15 @@
                pkg-kde-tools,
                libudev-dev [linux-any],
                libp8-platform-dev,
-               python3-dev,
+               python-dev,
                dh-python,
                cmake (>= 2.8.9),
                swig,
                libxrandr-dev,
                x11proto-core-dev,
-               libncurses5-dev
+               libncurses5-dev,
+               libraspberrypi-dev
+Build-Conflicts: libpython3.0-dev, libpython3.1-dev, libpython3.2-dev, libpython3.3-dev, libpython3.4-dev, libpython3.5-dev, libpython3.6-dev, libpython3.7-dev, libpython3.8-dev, libpython3.9-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://salsa.debian.org/debian/libcec
 Vcs-Git: https://salsa.debian.org/debian/libcec.git
@@ -36,7 +38,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         libraspberrypi0
 Pre-Depends: ${misc:Pre-Depends}
 Breaks: libcec4v4
 Replaces: libcec4v4
@@ -58,16 +61,16 @@
  .
  This package provides the CEC utility programs.
 
-Package: python3-cec
+Package: python-libcec
 Architecture: any
 Section: python
 Depends: libcec4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-         ${python3:Depends}
+         ${python:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Description: Python 3 bindings for USB CEC Adaptor
+Description: Python bindings for USB CEC Adaptor
  This library provides support for the Pulse-Eight USB-CEC adapter and
  other CEC capable hardware, like the Raspberry Pi.
  .
- This package provides Python 3 bindings for libcec.
+ This package provides Python bindings for libcec.
