=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh  $@ --with python2

override_dh_auto_configure:
	ln -s /usr/include/cec-platform include/platform && \
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DHAVE_EXYNOS_API=1 \
		-DHAVE_AOCEC_API=1 \
		-DRPI_INCLUDE_DIR=/opt/vc/include \
		-DRPI_LIB_DIR=/opt/vc/lib \
		-DHAVE_LINUX_API=1 \
		-DHAVE_RPI_API=1

override_dh_auto_install:
	dh_auto_install
	rm debian/tmp/usr/bin/cec-client
	mv debian/tmp/usr/bin/cec-client-* debian/tmp/usr/bin/cec-client

override_dh_auto_clean:
	dh_auto_clean
	rm -f include/platform
	rm -f include/version.h
	rm -f src/cec-client/env.h
	rm -f src/cecc-client/env.h
	rm -f src/libcec/env.h
	rm -f src/libcec/libcec.pc
