=== src/cec-client/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(cecclient)
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.12.0)
 
 set(cecclient_NAME cecclient)
 set(cecclient_DESCRIPTION "libCEC test client")
@@ -65,7 +65,9 @@
   endif()
 else()
   add_definitions(-DTARGET_WINDOWS -DNOMINMAX -D_CRT_SECURE_NO_WARNINGS -D_WINSOCKAPI_)
-  if (NOT ${WIN64})
+  if (${WIN64})
+    string(REPLACE "/arch:SSE2" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
+  else()
     add_definitions(-D_USE_32BIT_TIME_T)
   endif()
 endif()
