=== debian/changelog ===
libcec (6.0.2-4) unstable; urgency=medium

  * QA upload.
  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via
    dh_auto_configure override.
  * debian/patches: Update reproducible build patch to use Use
    CMAKE_SYSTEM_NAME instead of CMAKE_SYSTEM. (Closes: #1010414)
  * debian/control: Set Rules-Requires-Root to "no".
  * Update to debhelper-compat 13.
  * debian/control: Update Standards-Version to 4.6.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 30 Apr 2022 17:50:08 -0700

libcec (6.0.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    * Build-Depends: Drop versioned constraint on cmake and g++.
    Changes-By: deb-scrub-obsolete

  [ Balint Reczey ]
  * Remove myself from Uploaders
  * Orphaning the package according to our discussion with Sjoerd

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 27 Feb 2022 20:44:29 +0100

libcec (6.0.2-2) unstable; urgency=medium

  [ Punit Agrawal ]
  * debian/rules: Enable Linux API
    libcec has support for the Linux CEC api that enables interaction with
    devices that are exposed via "/dev/cec0" on supported systems. Enable
    Linux API support in the library to allows users to interact with
    media applications using their remote on such systems. (Closes: #983733)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 01 Mar 2021 08:10:46 +0100

libcec (6.0.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Balint Reczey ]
  * debian/copyright: Drop obsolete Files-Excluded
  * New upstream version 6.0.2
  * Rename library package for bumped SO version and replace
    debian/*.symbols with debian/*.shlibs (Closes: #957433)
  * debian/control: Bump Standards-Version, no changes required

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 07 Aug 2020 16:22:52 +0200
