## libcec 7.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
+cmake_minimum_required(VERSION 3.12.0)
 project(libcec)
-cmake_minimum_required(VERSION 3.12.0)
 
-set(LIBCEC_VERSION_MAJOR 6)
+set(LIBCEC_VERSION_MAJOR 7)
 set(LIBCEC_VERSION_MINOR 0)
-set(LIBCEC_VERSION_PATCH 2)
+set(LIBCEC_VERSION_PATCH 0)
 
 # cec-client
 add_subdirectory(src/cec-client)
