=== src/cec-client/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 include(CheckLibraryExists)
 include(CheckIncludeFiles)
 include(CheckCXXCompilerFlag)
+include(../../cmake/WindowsDebug.cmake)
 
 check_cxx_compiler_flag("-std=c++11" SUPPORTS_CXX11)
 if (SUPPORTS_CXX11)
@@ -65,7 +66,7 @@
   endif()
 else()
   add_definitions(-DTARGET_WINDOWS -DNOMINMAX -D_CRT_SECURE_NO_WARNINGS -D_WINSOCKAPI_)
-  if (${WIN64})
+  if ((${WIN64}) OR (${_M_ARM64}))
     string(REPLACE "/arch:SSE2" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
   else()
     add_definitions(-D_USE_32BIT_TIME_T)
@@ -84,5 +85,5 @@
           DESTINATION .)
 else()
   install(TARGETS     cec-client
-          DESTINATION bin/.)
+          DESTINATION bin)
 endif()
