=== src/cecc-client/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 include(CheckCSourceCompiles)
 include(CheckLibraryExists)
 include(CheckIncludeFiles)
+include(../../cmake/WindowsDebug.cmake)
 
 find_package(p8-platform REQUIRED)
 find_package(Threads REQUIRED)
@@ -35,7 +36,7 @@
   endif()
 else()
   add_definitions(-DTARGET_WINDOWS -DNOMINMAX -D_CRT_SECURE_NO_WARNINGS -D_WINSOCKAPI_)
-  if (${WIN64})
+  if ((${WIN64}) OR (${_M_ARM64}))
     string(REPLACE "/arch:SSE2" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
   else()
     add_definitions(-D_USE_32BIT_TIME_T)
@@ -54,5 +55,5 @@
           DESTINATION .)
 else()
   install(TARGETS     cecc-client
-          DESTINATION bin/.)
+          DESTINATION bin)
 endif()
