=== debian/changelog ===
libcec (7.0.0-1) unstable; urgency=medium

  * New upstream version 7.0.0
  * Bump policy
  * Rename various things from libcec6* to libcec7*
  * Spelling patch

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 05 Mar 2025 17:57:40 +0000

libcec (6.0.2-6) unstable; urgency=medium

  * Disable Python wrapper; fails to build with Python 3.13 (closes: #1092064)
  * Bump standards version
  * Build dependency pkg-config ⇒ pkgconf per lintian
  * Remove unused man page cec-config(1)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 05 Jan 2025 11:57:18 +0000

libcec (6.0.2-5) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed.
  * Update watch file format version to 4.
  * Yak shave debian/rules
  * Adopt (closes: #1006619) thanks Balint for all your work.
  * Update ncurses build dependency.

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 06 Feb 2023 22:09:39 +0000
