=== debian/watch ===
version=4
opts=compression=xz,dversionmangle=s/.dfsg[0-9]*//,repack,repacksuffix=+dfsg1,uversionmangle=s/_/./g, https://github.com/Pulse-Eight/libcec/tags .*/libcec-(\d[\d\.]+)\.tar\.gz
